Subject: bug#6554: [PATCH] split: Additional suffix for split (bug#6554)

From: Pádraig Brady <[email-masked]>
Date: Sat, 18 Feb 2012 14:57:31 +0000

On 02/18/2012 02:51 PM, Jérémy Compostella wrote:
>> That's a good point. --additional-suffix is better.
>> 
>> Note csplit has a more general --suffix-format option
>> (which can be shortened to --suffix).
>> So one can do: --suffix="%02d.txt".
>> However that's only possible, because csplit
>> supports only numeric suffixes.
>> 
>> However, this is starting to make me think
>> this marginal feature isn't worth it.
>> For the record, summarising the disadvantages so far:
>> 
>>  Backwards incompat with other systems (including older coreutils).
>>  Some complexity in understanding/describing various suffix options.
> With the new "--additional-suffix" it looks clear to me.
>>  Interoperability issue with possible future auto suffix len feature.
> If I remember well the issue is related with the alphabetic file
> order. This issue could be easily handled by the user.
> 
> IMHO, this feature is maybe marginal but it is very convenient to have
> it. Anyway, it would be great to state on it as I need to know if I
> should let it go or not. It's always hard to trash work but that's the
> game ! :)

Sure, please go ahead since you've done most of the work,
and others have expressed a desire for this.
I'm just stating the disadvantages for the record,
and perhaps a prompt to others to voice any
reservations they may have.
We always have to be wary when adding new stuff.

cheers,
Pádraig.